Subject: [Ietf-calsify] Imprecise and alternative events

From: fabio.silva at gmail.com (Fábio Henrique da Silva)
Date: Tue Jun 5 10:01:20 2007

Hi Martin,

Thanks for the feedback!

Yes, that flexibility is what we aimed by allowing several VEVENT and
VIMPRECISEEVENT components within a VALTERNATIVEEVENTS. The example at page
9 illustrated it poorly, because it used only one VEVENT and only one
VIMPRECISEEVENT; we'll improve the draft that by adding other examples.

As for imprecise events, two complementary mechanisms are needed to:
1 - Express the expected duration of the event
2 - Express the possible time ranges for event occurrence

In our proposal, VIMPRECISEEVENT doesn't make use of DTSTART. (1) is done
with DURATION, and (2) is done by using VFREEBUSY and VAVAILABILITY
components.

As long as I understand, you are suggesting to extend DTSTART to accomplish
both (although it would be possible to have just one "time range" for 2). I
am not sure if that would have some impact on current use of DTSTART (e.g.,
free-busy queries). The idea of using concepts like 'evening' is really
interesting, but I am concerned with possible interoperability problems -
that's why we have opted for "deterministic" forms to represent periods of
time ("canonical" VFREEBUSY and VAVAILABILITY). I believe that those who
have long discussed issues with time representation on 2445bis can give a
definitive opinion on this.

Anyway, if we are to use extended VEVENT components to represent imprecise
events, a discussion on the role of DTSTART in this context is fundamental.

Regards,

F?bio.

On 6/3/07, Martin Kiff < [email-masked]> wrote:
>
> F?bio Henrique da Silva wrote:
>
> > Dear all,
> >
> > This is to announce the new internet-draft:
> >
> > < http://www.ietf.org/internet-drafts/draft-silva-events-00.txt>
>
>
> Interesting, I've read through once and will definitely read through
> again.
> I wonder whether it would go with the flow better to have a 'negotiate'
> block round a set of Vevents? Was this sort of option considered (and
> discarded?)
>
> BEGIN:ALTERNATES
>
> BEGIN:VEVENT
> PREFERENCE:100
> ...
> END:VEVENT
>
> BEGIN:VEVENT
> PREFERENCE:50
> TRANSP:TRANSPARENT
> ...
> END:VEVENT
>
> END:ALTERNATES
>
> This would give flexibility to have different locations, different
> descriptions (and so on) for the different options.
>
> For imprecise events, I think a lot of the the requirements when
> publishing (rather then negotiating) events would be covered by
> accepting varying precision in the time:
>   DTSTART:VALUE=HOUR:20070603T090000
> maybe for something that could start between 9 and 11.
>   DTSTART:VALUE=PT2H:20070603T090000
> and, if you know it's an evening (or whatever) event but don't know
> when...
>   DTSTART:VALUE=EVENING:20070603
>
> My arguments are based on the premises:
>
> * People don't necessarily work to second-level-precision, I don't think
> calendaring software should inflict this on them :-)
> * Calendaring has to keep a distinction between a 'whole day event'
> (like an anniversary) and an 'event on a day' (but you don't yet know
> when) and it would be nice if this could be generalised
>
> Regards, Martin
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.osafoundation.org/pipermail/ietf-calsify/attachments/20070605/7657e9b3/attachment.htm